Subject: Re: what should "git clean -n -f [-d] [-x] <pattern>" do?

From: Sergey Organov <[email-masked]>
Date: Tue, 30 Jan 2024 00:49:08 +0300

Jeff King <[email-masked]> writes:

> On Mon, Jan 29, 2024 at 12:35:49PM +0300, Sergey Organov wrote:
>
>> >> I'm still arguing in favor of fixing "-n", and I believe a fix is needed
>> >> independently from decision about "-f -f".
>> >
>> > Even though I do not personally like it, I do not think "which
>> > between do-it (f) and do-not-do-it (n) do you want to use?" is
>> > broken.  It sometimes irritates me to find "git clean" (without "-f"
>> > or "-n", and with clean.requireForce not disabled) complain, and I
>> > personally think "git clean" when clean.requireForce is in effect
>> > and no "-n" or "-f" were given should pretend as if "-n" were given.
>> 
>> As a note, I'd consider to get rid of 'clean.requireForce' anyway, as
>> its default value provides safe reasonably behaving environment, and I
>> fail to see why anybody would need to set it to 'false'.
>
> Please don't. I set it to "false", because I find the default behavior a
> pointless roadblock if you are already aware that "git clean" can be
> destructive. Surely I can't be the only one.

Well, provided there is at least one person who finds it useful to set
it to 'false', I withdraw my suggestion.

That said, did you consider to:

  $ git config --global alias.cl 'clean -f'

instead of

  $ git config --global clean.requireForce false

I wonder?

Thanks,
-- Sergey Organov